import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { TapdReviewDatabaseDefault } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-18 14:29
 */
interface TapdReviewDatabaseDefaultCU extends ConditionUtil<TapdReviewDatabaseDefaultCU> {
    ID: FieldUtil<TapdReviewDatabaseDefaultCU>;
    INSTANCE_ID: FieldUtil<TapdReviewDatabaseDefaultCU>;
    INSTANCE_NAME: FieldUtil<TapdReviewDatabaseDefaultCU>;
    DATABASE_NAME: FieldUtil<TapdReviewDatabaseDefaultCU>;
    SQL: FieldUtil<TapdReviewDatabaseDefaultCU>;
    BUSINESS_GROUP: FieldUtil<TapdReviewDatabaseDefaultCU>;
}
declare class TapdReviewDatabaseDefaultMU extends TableUtilImpl<TapdReviewDatabaseDefaultCU, TapdReviewDatabaseDefault> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): TapdReviewDatabaseDefaultCU;
    static get ID(): FieldUtil<TapdReviewDatabaseDefaultCU>;
    static get INSTANCE_ID(): FieldUtil<TapdReviewDatabaseDefaultCU>;
    static get INSTANCE_NAME(): FieldUtil<TapdReviewDatabaseDefaultCU>;
    static get DATABASE_NAME(): FieldUtil<TapdReviewDatabaseDefaultCU>;
    static get SQL(): FieldUtil<TapdReviewDatabaseDefaultCU>;
    static get BUSINESS_GROUP(): FieldUtil<TapdReviewDatabaseDefaultCU>;
    get ID(): FieldUtil<TapdReviewDatabaseDefaultCU>;
    get INSTANCE_ID(): FieldUtil<TapdReviewDatabaseDefaultCU>;
    get INSTANCE_NAME(): FieldUtil<TapdReviewDatabaseDefaultCU>;
    get DATABASE_NAME(): FieldUtil<TapdReviewDatabaseDefaultCU>;
    get SQL(): FieldUtil<TapdReviewDatabaseDefaultCU>;
    get BUSINESS_GROUP(): FieldUtil<TapdReviewDatabaseDefaultCU>;
}
export { TapdReviewDatabaseDefaultMU, TapdReviewDatabaseDefaultCU };
